> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Market Chart

` GET /blockscout/stats/charts/market `

Get Market Chart

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Responses

### ` 200 ` — Market Chart

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` chart_data `, ` available_supply `

  - ` available_supply `: type ` string `

    - example: ` "164918857.718061" `

  - ` chart_data `: type ` array `

    - ` array item `: type ` object `

      - Required fields: ` date `, ` closing_price `, ` market_cap `

      - ` date `: type ` string `

        - example: ` "2022-10-31" `

      - ` closing_price `: type ` string `

        - example: ` "0.00254915" `

      - ` market_cap `: type ` string `

        - example: ` "420471.10604559750644" `

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//blockscout/stats/charts/market'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//blockscout/stats/charts/market', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//blockscout/stats/charts/market')
print(response.json())
```